@layer utilities;

@layer utilities {

  .sr-only {
    position: absolute;

    width: 1px;
    height: 1px;

    overflow: hidden;

    clip: rect(0,0,0,0);
    white-space: nowrap;
  }

  .text-center {
    text-align: center;
  }

  .text-muted {
    color: var(--color-text-muted);
  }

  .text-subtle {
    color: var(--color-text-subtle);
  }

  .mt-1 { margin-top: var(--space-1); }
  .mt-2 { margin-top: var(--space-2); }
  .mt-3 { margin-top: var(--space-3); }
  .mt-4 { margin-top: var(--space-4); }

  .mb-1 { margin-bottom: var(--space-1); }
  .mb-2 { margin-bottom: var(--space-2); }
  .mb-3 { margin-bottom: var(--space-3); }
  .mb-4 { margin-bottom: var(--space-4); }
}
